import { world } from "@minecraft/server";

world.beforeEvents.playerInteractWithBlock.subscribe(({ block, player }) => {
    if (block.typeId === "zc:xp_crystal") {
        const { x, y, z } = block.location;

        try {
            player.runCommandAsync(`summon xp_orb ${x} ${y} ${z}`);
            player.runCommandAsync(`setblock ${x} ${y} ${z} air`);
        } catch (error) {
            console.error(`Failed to execute commands: ${error}`);
        }
    }
});
